        integer i,j,k,l,m,n,o,p,q,r,s,t
        real a,b,c,d,e,f,g,h,u,v,w,x,y,z
        real ap,bp,cp,dp,ep,fp,gp,hp,up,vp,wp,xp,yp,zp
        character*70 tx
        common tx
        tx= 
     1'fibonnacci numbers'
        CALL CA
        s=1
        t=1
        DO i=2,20,1
        CALL PR(0.0+i,4,0)
        r=s+t
        s=t
        t=r
        CALL SP
        CALL PR(0.0+r,5,0)
        CALL NL
        END DO
        CALL NL
        END
        include 'perm2.f'
